home
***
CD-ROM
|
disk
|
FTP
|
other
***
search
/
Shareware Grab Bag
/
Shareware Grab Bag.iso
/
011
/
adikit.arc
/
INT.LSP
< prev
next >
Wrap
Lisp/Scheme
|
1986-12-01
|
4KB
|
135 lines
(defun strippart ()
(setq part (car parts))
(setq parts (cdr parts))
)
(defun C:NEXT ()
(nxt)
)
(defun nxt ()
; if expecting user answer
(if (= "needanswer" switch)
(progn
(strippart)
(getrslt part)
(setq switch "answered")
)
)
; get next item from interactive list
(strippart)
(if (null part)
(print "* * * END * * *")
(progn
; if not end of interactive commands list
; it must be the setup commands... so do them
(print "Performing setup for interactive test...patience!")
(mapcar 'command part)
; then get the test description and start the test
(strippart)
(starttest part)
; then get the command needed in the test and do it
(strippart)
(setq switch "needanswer")
(mapcar 'command part)
)
)
)
; INTERACTIVE TESTS:
(print "* * * Beginning Interactive tests * * * ")
(print "Note: these tests require your input")
(Print " ")
(wait 3000)
; check pick box sizes GETPOINT!!!
(starttest "Check different PICK BOX SIZES")
(setq x (getvar "pickbox"))
(setvar "pickbox" 20)
(userpick)
(setvar "pickbox" 10)
(userpick)
(setvar "pickbox" x)
(getrslt "Did different PICK BOX SIZES work? ")
(if (= "Y" status)
(progn
; check Coords ON
(starttest "Please turn STATUS line Coordinates ON (ctrl D) and MOVE the xhairs")
(userpick)
(getrslt "Did COORDS CHANGE in STATUS LINE when you MOVED the crosshairs? ")
; check coords ft and inches!
; and make sure they don't overflow into menu area
(starttest "Check FEET and INCHES symbols in Coordinates")
(command "units" "4" "" "2" "" "" "")
(userpick)
(getrslt "Did both the FEET and INCHES symbols appear in STATUS LINE? ")
; end the progn and the if
(command "units" "2" "" "" "" "" "")
) )
; check menu boxes if menu
(if (= "Y" menu)
(progn
(starttest "Check if all MENU boxes HIGHLIGHT properly and are PICKABLE")
(getrslt "Did the MENU boxes HIGHLIGHT properly? ")
)
)
; might as well close out the file as the cancels below are not going
; to let too much out to it anyway
(write-line (rtos (getvar "cdate") 2) testf)
(write-line (strcat "end " disp) testf)
(setq testf (close testf))
; setup for the disjointed NEXT tests.....
(setq parts (list
(list "insert" "*chroma" "0,0" "1" "1" "0" "zoom" "e")
"After REDRAW starts, please CANCEL it (ctrl c) then type NEXT"
(list "redraw")
"Did CANCEL REDRAW work properly?"
(list "redraw")
"After REGEN starts, please CANCEL it, then type NEXT"
(list "REGEN")
"Did CANCEL REGEN work properly?"
(list "redraw")
"After ZOOM D, pick a zoom, then type NEXT"
(list "zoom" "d")
"Did Zoom D work correctly?"
(list "erase" "l" ""
"insert" "hide" "0,0" "1" "1" "0"
"zoom" "e")
"AFTER Vpoint produces AXES and GLOBE, move them, pick, then NEXT"
(list "vpoint" "")
"Did the VPOINT AXES and GLOBE move properly?"
(list "vpoint" "1,2,3")
"After HIDE starts 'removing hidden lines #', CANCEL it, then NEXT"
(list "hide")
"Did CANCEL HIDE work properly?"
(list "vpoint" "0,0,1"
"erase" "w" (getvar "extmin") (getvar "extmax") ""
"limits" "0,0" "30,30"
"zoom" "e")
"After GRID starts, CANCEL it, then type NEXT"
(list "grid" ".5")
"Did CANCEL GRID work properly?"
(list "donut" "1" "3" (getvar "viewctr") "")
"After MOVE starts, make sure DRAG works, then type NEXT"
(list "move" "l" "" (getvar "viewctr"))
"Did MOVE and DRAG work correctly?"
))
(setq switch "")
;do the first test...the user will have to do the rest.
(nxt)